<?php
error_reporting(0);

if(isset($_GET)){
	
	$dados_completos = $_GET;
	
	$id_documento = $_GET['id_documento'];
	$link_return  = $_GET['link_return'];
	$link_print   = $_GET['link_print'];
	$numeroSessao    = $_GET['numeroSessao'];
	$codigoDeAtivacao= $_GET['codigoDeAtivacao'];
	$dadosVenda      = $_GET['dadosVenda'];
	
	$dadosVenda= str_replace( "\"","'", $dadosVenda);
	
	$myfile = fopen("xml_venda_recebido_sat_local.xml", "w+") or die("Unable to open file!");
    //header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml)
    fwrite($myfile, $dadosVenda);
    fclose($myfile);
	
	$return = '';
		  
	try {
		
		$ex = new COM("CodeSatFramework.ClassCONN", NULL, CP_UTF8) or Die ("NÃO FOI POSSÍVEL INICIAR O OBJECTO");
		$return = $ex->SetEnviarDadosVenda($numeroSessao, $codigoDeAtivacao, $dadosVenda); 
		// $return = $ex->SetTesteFimAFim($numeroSessao, $codigoDeAtivacao, $dadosVenda);
		
	} catch (Exception $e) {
		$return = substr("000000|" . $numeroSessao, -6) . "06099|0000|Exceção capturada:". $e->getMessage() . "\n";
	}
	
	$ex = null; 
	unset($ex);
	
	$dados_completos['id_documento'] = $id_documento;
	$dados_completos['resposta'] = $return;
		
	redirect_post($link_return, $dados_completos);
	
	// header("Content-Type: text/html; charset=ISO-8859-1");
	// header("HTTP/1.1 301 Moved Permanently");
	header("Location:$link_print");
}

function redirect_post($url, array $data, array $headers = null) {
	$params = array(
		'http' => array(
			'method' => 'POST',
			'content' => http_build_query($data)
		)
	);
	if (!is_null($headers)) {
		$params['http']['header'] = '';
		foreach ($headers as $k => $v) {
			$params['http']['header'] .= "$k: $v\n";
		}
	}
	$ctx = stream_context_create($params);
	$fp = @fopen($url, 'rb', false, $ctx);
	if ($fp) {
		echo stream_get_contents($fp);
		// die();
	}
	return true;
}
	
?>